Bug 834063 - [RFE] enable attribute that tracks when a password was last set on an entry in the LDAP store
Summary: [RFE] enable attribute that tracks when a password was last set on an entry i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
: 525219 (view as bug list)
Depends On:
Blocks: 782183 840699
TreeView+ depends on / blocked
 
Reported: 2012-06-20 18:13 UTC by Nathan Kinder
Modified: 2018-12-01 19:08 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Password update tracking Reason: Record timestamp when the password was last changed. Result (if any):
Clone Of:
Environment:
Last Closed: 2013-02-21 08:19:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 18:13:54 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/207

https://bugzilla.redhat.com/show_bug.cgi?id=525219


Added new attribute to the cn=config configuration:

passwordTrackUpdateTime: on

Then after changing a password, an operational attribute "pwdUpdateTime" is set:

ldapsearch -xLLL -h localhost -p 389 -D "cn=dm" -w superman -b "dc=example,dc=com" uid=* pwdupdatetime
dn: uid=jmengel,dc=example,dc=com
pwdupdatetime: 20120427160745Z

Comment 1 Nathan Kinder 2012-06-21 14:53:12 UTC
*** Bug 525219 has been marked as a duplicate of this bug. ***

Comment 2 RHEL Product and Program Management 2012-07-10 07:10:04 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Product and Program Management 2012-07-10 23:02:13 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 5 Ján Rusnačko 2012-10-29 09:26:32 UTC
See also https://fedorahosted.org/389/ticket/478

Comment 6 Ján Rusnačko 2012-11-26 16:17:57 UTC
Verified on 389-ds-base-1.2.11.15-4.el6.x86_64

Comment 7 errata-xmlrpc 2013-02-21 08:19:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Comment 8 Ján Rusnačko 2013-06-10 13:38:47 UTC
Automated in pwdpolicy


Note You need to log in before you can comment on or make changes to this bug.